Bug 253874 - Review Request: lsdvd - Small application for displaying the contents of a DVD
Review Request: lsdvd - Small application for displaying the contents of a DVD
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-22 11:30 EDT by Matthias Saou
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.16-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 17:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-08-22 11:30:19 EDT
Spec URL: http://thias.fedorapeople.org/review/lsdvd/lsdvd.spec
SRPM URL: http://thias.fedorapeople.org/review/lsdvd/lsdvd-0.16-2.src.rpm
Description:
Lsdvd is a c application for reading the contents of a DVD and printing the
contents to your terminal. Lsdvd uses libdvdread, the most popular dvd
reading library for *nix.

Note : Very simple package, very simple codebase. Should be easy to review.
Comment 1 Marek Mahut 2007-08-22 11:45:41 EDT
Good review ticket for someone who needs to be sponsored.
Comment 2 Ville Skyttä 2007-08-22 12:06:56 EDT
I'm afraid I'll ruin that joy for someone as I already did the review :P

- Could use %configure --disable-dependency-tracking but it doesn't make much
difference for a package this small.

- %description contains some info which is not relevant to end users, I would
shorten it to simply "lsdvd is an application for reading the contents of a DVD
and printing the list of contents to your terminal."

- Please bump release to 5%{?dist} to upgrade the NEVR of this package already
present in some 3rd party repositories.

All above comments can be addressed after import and before the first build, or
just ignored.  Your choice, approved anyway.
Comment 3 Matthias Saou 2007-08-22 12:25:06 EDT
Thanks Ville! You can check the updated spec file which I'll be importing in the
same location as the previous one, and shout if anything's wrong with it ;-)

New Package CVS Request
=======================
Package Name: lsdvd
Short Description: Small application for displaying the contents of a DVD
Owners: matthias@rpmforge.net
Branches: devel F-7 FC-6
InitialCC: 
Cvsextras Commits: yes
Comment 4 Ville Skyttä 2007-08-22 12:32:22 EDT
The new specfile looks good, thanks.  You missed one tiny detail though -
"printing the contents of a DVD to your terminal" sounds scary to me, which is
why I suggested "list of contents" :)  (Applies to Summary too if you like the
suggestion, BTW)
Comment 5 Matthias Saou 2007-08-22 13:22:40 EDT
Indeed, I had missed that, will fix, thanks!
Comment 6 Nicolas Chauvet (kwizart) 2007-08-22 15:24:26 EDT
I think we get a little to speed for this!

I little more investigation show that lsdvd isn't used by freevo since 1.7.
Instead it uses python-kaa-metadata (which also orphan mmpython).
kaa.metadata is already in Fedora...

Futhermore lsdvd's sourceforge repository is now empty

I think this is good to have it for compat with fc6 f7 
And unless others apps are using it (do you you some example ?) I am for
orphaning it... Usually apps can access lsdvd output by using kaa.metadata and
should uses it instead...

Comment 7 Ville Skyttä 2007-08-22 15:58:48 EDT
Yes, there are apps that use lsdvd.  kaa-metadata is in Python, this is in plain
C, they fit different scenarios.  Python is an undesirably big dependency for
trimmed down setups, but on the other hand apps written in Python almost
certainly want to use a Python lib for this stuff.  There's no indication that
lsdvd's SF CVS has ever been anything but empty.  Apples and oranges, what's the
problem?
Comment 8 Nicolas Chauvet (kwizart) 2007-08-22 16:33:52 EDT
ok sorry for the false positive then...

i thought lsdvd was already orphaned

So everything is fine...good!
Comment 9 Fedora Update System 2007-08-24 01:33:08 EDT
lsdvd-0.16-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2007-08-27 17:54:18 EDT
lsdvd-0.16-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.